package com.libreecm.commonAPI.model.users;
 
import java.util.List;

import com.libreecm.commonAPI.model.CmisExtensionElement;

public class Ace extends BaseObject{
	private Principal principal;
	private String principalId;
	private List<String> permissions;
	private boolean direct;
	private List<CmisExtensionElement> extensions;
	/**
	 * @return the extensions
	 */
	public List<CmisExtensionElement> getExtensions() {
		return extensions;
	}
	/**
	 * @param extensions the extensions to set
	 */
	public void setExtensions(List<CmisExtensionElement> extensions) {
		this.extensions = extensions;
	}
	/**
	 * @return the principal
	 */
	public Principal getPrincipal() {
		return principal;
	}
	/**
	 * @param principal the principal to set
	 */
	public void setPrincipal(Principal principal) {
		this.principal = principal;
	}
	/**
	 * @return the principalId
	 */
	public String getPrincipalId() {
		return principalId;
	}
	/**
	 * @param principalId the principalId to set
	 */
	public void setPrincipalId(String principalId) {
		this.principalId = principalId;
	}
	/**
	 * @return the permissions
	 */
	public List<String> getPermissions() {
		return permissions;
	}
	/**
	 * @param permissions the permissions to set
	 */
	public void setPermissions(List<String> permissions) {
		this.permissions = permissions;
	}
	/**
	 * @return the direct
	 */
	public boolean isDirect() {
		return direct;
	}
	/**
	 * @param direct the direct to set
	 */
	public void setDirect(boolean direct) {
		this.direct = direct;
	}
}
